<?php

if (!is_admin())
        add_action('wp_enqueue_scripts', 'beautifuldecay_js');
	function beautifuldecay_js() {
        wp_enqueue_style( 'beautifuldecay-style', get_stylesheet_uri() );
        if ( is_singular() && get_option( 'thread_comments' ) )
	wp_enqueue_script( 'comment-reply' );
}


function beautifuldecay_custom_excerpt_length( $length ) {
	return 25;
}
add_filter( 'excerpt_length', 'beautifuldecay_custom_excerpt_length', 999 );


function beautifuldecay_replace_excerpt($content) {
       return str_replace(' [...]',
               '.',
               $content
       );
}
add_filter('the_excerpt', 'beautifuldecay_replace_excerpt');




	// Add a filter to beautifuldecay_header_image_width and beautifuldecay_header_image_height to change the width and height of your custom header.
	$custom_header_support = array(
		'width' => apply_filters( 'beautifuldecay_header_image_width', 1000 ),
		'height' => apply_filters( 'beautifuldecay_header_image_height', 250 ),
		'header-text'            => false,
	);	
	
	add_theme_support( 'custom-header', $custom_header_support );
	
	// Default custom headers packaged with the theme. %s is a placeholder for the theme template directory URI.
	register_default_headers( array(
       'blue' => array (
                'url' => '%s/headers/001.jpg',
                'thumbnail_url' => '%s/headers/thumbnails/001_thumb.jpg',
                'description' => __( 'Blue', 'beautifuldecay' )
            ),
                //Image 2
                'barbed' => array (
                'url' => '%s/headers/002.jpg',
                'thumbnail_url' => '%s/headers/thumbnails/002_thumb.jpg',
                'description' => __( 'Barbed', 'beautifuldecay' )
            ),
                //Image 3
                'leaves' => array (
                'url' => '%s/headers/003.jpg',
                'thumbnail_url' => '%s/headers/thumbnails/003_thumb.jpg',
                'description' => __( 'Leaves', 'beautifuldecay' )
            ),
            	//Image 4
                'sky' => array (
                'url' => '%s/headers/004.jpg',
                'thumbnail_url' => '%s/headers/thumbnails/004_thumb.jpg',
                'description' => __( 'Sky', 'beautifuldecay' )
            ),
	) );



add_theme_support( 'post-thumbnails' );
set_post_thumbnail_size( 343, 100, true );

function beautifuldecay_main_image() {
$files = get_children('post_parent='.get_the_ID().'&post_type=attachment
&post_mime_type=image&order=desc');
  if($files) :
    $keys = array_reverse(array_keys($files));
    $j=0;
    $num = $keys[$j];
    $image=wp_get_attachment_image($num, 'large', true);
    $imagepieces = explode('"', $image);
    $imagepath = $imagepieces[1];
    $main=wp_get_attachment_url($num);
	$template=get_template_directory();
	$the_title= the_title_attribute( 'echo=0');
	print "<img src='$main' alt='$the_title' class='frame' />";
  endif;
}

function beautifuldecay_menu() {
  register_nav_menus(
    array( 'header-menu' => __( 'Header Menu', 'beautifuldecay' ) )
  );
}
add_action( 'init', 'beautifuldecay_menu' );


function beautifuldecay_widgets_init() {
		// Footer Menu
		register_sidebar( array(
		'name' => __( 'Side Bar Widget Area', 'beautifuldecay' ),
		'id' => 'primary-widget-area',
		'description' => __( 'The side bar widget area', 'beautifuldecay' ),
		'before_widget' => '<div class="sidebarcontent">', // Removes <li>
		'after_widget' => '</div>', // Removes </li>
		'before_title' => '<h3>',
		'after_title' => '</h3>',
		) );
}
add_action( 'widgets_init', 'beautifuldecay_widgets_init' );




function beautifuldecay_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case '' :
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<div id="comment-<?php comment_ID(); ?>">
		<div class="comment-author vcard">
			<?php echo get_avatar( $comment, 40 ); ?>
			<?php printf( __( '%s <span class="says">says:</span>', 'beautifuldecay' ), sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>
		</div><!-- .comment-author .vcard -->
		<?php if ( $comment->comment_approved == '0' ) : ?>
			<em class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.', 'beautifuldecay' ); ?></em>
			<br />
		<?php endif; ?>

		<div class="comment-meta commentmetadata"><a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">
			<?php
				/* translators: 1: date, 2: time */
				printf( __( '%1$s at %2$s', 'beautifuldecay' ), get_comment_date(),  get_comment_time() ); ?></a><?php edit_comment_link( __( '(Edit)', 'beautifuldecay' ), ' ' );
			?>
		</div><!-- .comment-meta .commentmetadata -->

		<div class="comment-body"><?php comment_text(); ?></div>

		<div class="reply">
			<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
		</div><!-- .reply -->
	</div><!-- #comment-##  -->

	<?php
			break;
		case 'pingback'  :
		case 'trackback' :
	?>
	<li class="post pingback">
		<p><?php _e( 'Pingback:', 'beautifuldecay' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __( '(Edit)', 'beautifuldecay' ), ' ' ); ?></p>
	<?php
			break;
	endswitch;
}


//Required by WordPress
	add_theme_support('automatic-feed-links');
	
	
	//CONTENT WIDTH
		if ( ! isset( $content_width ) ) $content_width = 700;


//LOCALIZATION
	
	//Enable localization
		load_theme_textdomain('beautifuldecay',get_template_directory() . '/languages');
		
	
// filter function for wp_title
function beautifuldecay_filter_wp_title( $old_title, $sep, $sep_location ){
		// add padding to the sep
		$ssep = ' ' . $sep . ' ';
			
		// find the type of index page this is
		if( is_category() ) 
				$insert = $ssep . __( 'Category', 'beautifuldecay' );
		elseif( is_tag() ) 
				$insert = $ssep . __( 'Tag', 'beautifuldecay' );
		elseif( is_author() ) 
				$insert = $ssep . __( 'Author', 'beautifuldecay' );
		elseif( is_year() || is_month() || is_day() ) 
				$insert = $ssep . __( 'Archives', 'beautifuldecay' );
		else 
				$insert = NULL;
			
		// get the page number we're on (index)
		if( get_query_var( 'paged' ) )
				$num = $ssep . 'page ' . get_query_var( 'paged' );
			
		// get the page number we're on (multipage post)
		elseif( get_query_var( 'page' ) )
				$num = $ssep . 'page ' . get_query_var( 'page' );
			
		// else
		else $num = NULL;
			
		// concoct and return new title
return get_bloginfo( 'name' ) . $insert . $old_title . $num;
}

add_filter( 'wp_title', 'beautifuldecay_filter_wp_title', 10, 3 );

?>